"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.captureAllRequests = exports.watchScreen = void 0;
function watchScreen(elementReference, screenCode, options) {
    var observer = new IntersectionObserver(function (entries) {
        entries.forEach(function (entry) {
            if (entry.isIntersecting) {
                console.log("Elemento ".concat(screenCode, " est\u00E1 vis\u00EDvel na tela."));
            }
            else {
                console.log("Elemento ".concat(screenCode, " n\u00E3o est\u00E1 vis\u00EDvel na tela."));
            }
        });
    }, __assign({}, options));
    observer.observe(elementReference);
    return function () {
        observer.unobserve(elementReference);
    };
}
exports.watchScreen = watchScreen;
function captureAllRequests() {
    function interceptXMLHttpRequest() {
        var originalOpen = XMLHttpRequest.prototype.open;
        XMLHttpRequest.prototype.open = function (method, url) {
            var args = [];
            for (var _i = 2; _i < arguments.length; _i++) {
                args[_i - 2] = arguments[_i];
            }
            this.addEventListener('load', function () {
                console.log('XMLHttpRequest:', __assign({ method: method, url: url, status: this.status, response: this.responseText }, args));
            });
            return originalOpen.apply(this, __spreadArray([method, url], args, true));
        };
    }
    if (typeof window !== 'undefined') {
        interceptXMLHttpRequest();
    }
}
exports.captureAllRequests = captureAllRequests;
